<?php
/*---------------------------------------------------+
|       PHP-Fusion 6 Content Management System
+---------------------------------------------------------+
|       Copyright (c) 2005 Nick Jones
|       http://www.php-fusion.co.uk/
+---------------------------------------------------------+
|       Released under the terms & conditions of v2 of the
|       GNU General Public License. For details refer to
|       the included gpl.txt file or visit http://gnu.org
+---------------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include INFUSIONS."lib_panel/locale/russian.php";

if (!iADMIN || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR."index.php");
define("PART_IMAGES", INFUSIONS."lib_panel/arhive/");

function buildImageBox($name,$sel="")
	{
	echo '<SELECT class="textbox" NAME="'.$name.'" style="width:200px;">
	<option value="">-----';

	$handle=opendir(PART_IMAGES);
		while (false!==($file = readdir($handle))) 
		{
		$filec = strrchr($file, '.');
			if ($filec == '.tar'||$filec == '.txt'||$filec == '.zip'||$filec == '.rar'||$filec == '.htm'||$filec == '.html'||$filec == '.doc'||$filec == '.xls'||$filec == '.ppt')
			{
				if($sel == $file)
				{
					echo '<OPTION VALUE="'.$file.'" SELECTED>'.$file.'</OPTION>';
				}

				else
				{
					echo '<OPTION VALUE="'.$file.'">'.$file.'</OPTION>';
				}

			}

		}

	closedir($handle);
	echo '</select>';
	}


function date_mysql2german($datum) {
    list($jahr, $monat, $tag) = explode("-", $datum);

    return sprintf("%02d.%02d.%04d", $tag, $monat, $jahr);
}

// Settings
$upload_maxsize = 5097152;
$upload_extensions = array(
	".tar",
	".txt",
	".zip",
	".rar",
	".htm",
	".html",
	".doc",
    ".xls",
    ".ppt",
);
$upload_folder = INFUSIONS."lib_panel/arhive/";

if (isset($del)) {
	unlink($upload_folder."$del");
redirect (FUSION_SELF.$aidlink);
} else if (isset($_POST['upload_file'])) {
	$upload = $_FILES['upload'];
	if ($upload['name'] != "" && !empty($upload['name']) && is_uploaded_file($upload['tmp_name']) && $upload['size'] <= $upload_maxsize) {
		$upload_ext = strrchr($upload['name'],".");
		if (in_array($upload_ext, $upload_extensions)) {
			$upload_name = $upload['name'];
			move_uploaded_file($upload['tmp_name'], $upload_folder.$upload_name);
			chmod($upload_folder.$upload_name,0644);
		} else {
			$upload_error = $locale['lib0232'];
		}
	} else {
		$upload_error = $locale['lib0232'];
	}
redirect (FUSION_SELF.$aidlink);
} else {
	opentable($locale['lib400']);
			  include INFUSIONS."lib_panel/admin/links.php";

	echo "<form name='uploadform' method='post' action='".FUSION_SELF.$aidlink."' enctype='multipart/form-data'>
<table align='center' width='350' cellspacing='0' cellpadding='0'>
<tr>
<td width='80' class='tbl1'>".$locale['lib0224']."</td>
<td class='tbl'><input type='file' name='upload' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='upload_file' value='".$locale['lib0225']."' class='button'><br><br>
".$locale['lib0226']." ".parseByteSize($upload_maxsize)."</td>
</tr>
</table>
</form>\n";
closetable();
	tablebreak();
	opentable($locale['lib0227']);
	echo "<table width='80%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='forum-caption'>".$locale['lib0228']."</td>
<td class='forum-caption'>".$locale['lib0229']."</td>
<td align='center' class='forum-caption'>".$locale['lib0230']."</td>
</tr>\n";
	$file_list = makefilelist($upload_folder, ".|..|index.php", true);
	if (!isset($file_list)) { $file_count = 0; } else { $file_count = count($file_list); }
	for ($i=0;$i < $file_count;$i++) {
		$file_size = filesize($upload_folder.$file_list[$i]);
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>
<td class='$row_color'><a href='".INFUSIONS."lib_panel/arhive/$file_list[$i]' target='blank'>$file_list[$i]</a></td>
<td class='$row_color'>".($file_size > 0 ? parseByteSize($file_size) : "-----")."</td>
<td align='center' class='$row_color'><a href='".FUSION_SELF.$aidlink."&del=$file_list[$i]' onClick='return UpdateItem()'>".$locale['lib0010']."</a></td>
</tr>\n";
	}
	echo "</table>\n";
	closetable();
}
echo "</td>\n";

echo "<script language=\"JavaScript\">
function UpdateItem() {
	return confirm('".$locale['lib0222']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('ERROR');
		return false;
	}
}
</script>\n";

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
